Bug 1887623 - [DOCS][OVN] About OVN-Kubernetes CNI section should include some reference to Open vSwitch
Summary: [DOCS][OVN] About OVN-Kubernetes CNI section should include some reference to...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation
Version: 4.6
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.6.0
Assignee: Mike McKiernan
QA Contact: Ross Brattain
Vikram Goyal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-13 02:05 UTC by Ross Brattain
Modified: 2021-02-25 18:23 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-25 18:23:04 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Ross Brattain 2020-10-13 02:05:57 UTC
Document URL: https://docs.openshift.com/container-platform/4.6/networking/ovn_kubernetes_network_provider/about-ovn-kubernetes.html

Section Number and Name:  Networking / OVN-Kubernetes default CNI network provider / About the OVN-Kubernetes network provider

Describe the issue: 

The OVN page doesn't mention that OVN is also configuring the underlying Open vSwitch.  Because we have also switched to host OVS in 4.6, it would be good to indicate the continuity that both OVN and OpenShiftSDN use OVS and continue to use OVS.


Suggestions for improvement: 


Maybe copy the language from the OpenShiftSDN about page, explain the OVN acronym, and reference OVS.


The OpenShift Container Platform cluster uses a virtualized network to provide a unified cluster network that enables communication between Pods and Services across the OpenShift Container Platform cluster.  This Pod network is established and maintained by the OVN-Kubernetes Container Network Interface (CNI) plug-in.  OVN-Kubernetes uses the Open Virtual Network (OVN) system which configures an overlay network using Open vSwitch (OVS).




Additional information: 


See also http://www.openvswitch.org/support/dist-docs/ovn-architecture.7.html


DESCRIPTION
       OVN,  the  Open Virtual Network, is a system to support virtual network
       abstraction. OVN complements the existing capabilities of  OVS  to  add
       native support for virtual network abstractions, such as virtual L2 and
       L3 overlays and security groups.

Comment 1 Ross Brattain 2020-11-05 00:23:12 UTC
We could follow proposed upstream description

https://github.com/kubernetes/website/pull/24890


* [OVN-Kubernetes](https://github.com/ovn-org/ovn-kubernetes/) is a networking provider for Kubernetes based on [OVN (Open Virtual Network)](https://github.com/ovn-org/ovn/), a virtual networking implementation that came out of the Open vSwitch (OVS) project. OVN-Kubernetes provides an overlay based networking implementation for Kubernetes, including an OVS based implementation of load balancing and network policy.

Comment 3 Ross Brattain 2021-02-17 03:35:26 UTC
LGTM


Note You need to log in before you can comment on or make changes to this bug.